Subject: Re: [netext] draft-ietf-netext-logical-interface-support -- multiple incompatible MTU advertisements?

From: <[email-masked]>
Date: Fri, 9 Dec 2011 16:47:05 +0000

Hi Sri,

In your text below you state:
"
Any time there is an
   inter-technology handover between two access technologies, the
   applications on the host bound to the IP address configuration on the
   logical interface will not detect the change and will continue to use
   the MTU value of the logical interface for the outbound packets,
   which is never greater than the MTU value on that supported access
   network. 
"

How do you guarantee that the MTU value of the LI is never greater than
that of the IF to which the MN performed a handover to?

I do not believe this is realistic unless you set the value to the Min MTU
value (1280) as the default and simply ignore whatever MTU the link
supports.

-Raj

On 11/17/11 10:36 AM, "ext Sri Gundavelli" <[email-masked]> wrote:

>Hi Charlie/Raj:
>
>Agree. This is what we have for the MTU considerations.
>
>
>5.2.  MTU considerations
>
>   The link MTU (maximum transmission unit) value configured on a
>   logical interface should be the lowest of the MTU values supported
>   across any of the physical interfaces that are part of that logical
>   interface construct.  The MTU value should be configured as part of
>   the logical interface creation on the host.
>
>   Furthermore, this value must be updated any time there is a change to
>   the logical interface construct, such as when interfaces are added or
>   deleted from the logical interface setup.  Any time there is an
>   inter-technology handover between two access technologies, the
>   applications on the host bound to the IP address configuration on the
>   logical interface will not detect the change and will continue to use
>   the MTU value of the logical interface for the outbound packets,
>   which is never greater than the MTU value on that supported access
>   network.  However, the access network may continue to deliver the
>   packets conforming to the MTU value supported on that access
>   technology and the logical interface should be able to receive those
>   packets from the physical interface attached to that network.  This
>   approach of MTU configuration will ensure there is no IP packet
>   fragmentation after inter-technology handovers.
>
>
>On 11/15/11 9:34 PM, "[email-masked]"
><[email-masked]>
>wrote:
>
>> 
>> Hi Charlie,
>> 
>> Using the minimum MTU as the value for the logical IF is probably the
>>right
>> thing to do.
>> However you can also consider this as a sort of a DoS attack in the
>>sense that
>> you are forcing the MN to use an MTU to a smaller value thereby causing
>>less
>> efficient use of an air IF.
>> As an example a wifi network may advertise an MTU of 1280 and if the MN
>>uses
>> this as the default even on the cellular IF, the cellular IF is being
>>used sub
>> optimally.
>> 
>> -Basavaraj
>> 
>> On Nov 16, 2011, at 10:23 AM, ext Charles E. Perkins wrote:
>> 
>>> 
>>> Hello folks,
>>> 
>>> At the meeting this morning, a question was raised
>>> about the proper behavior on a logical interface if
>>> more than one value of MTU were advertised on any of
>>> the links of the interface.  This was discussed in
>>> the IPv6 working group.  IIRC, the sense of the
>>> discussion was that this was simply an error.
>>> See section 6.2.7 of RFC 4861.
>>> 
>>> In the case for logical interfaces, it seems to
>>> me that (a) a device can pick the MTU for whatever
>>> router advertisement it is using and (b) for the
>>> purposes of multicast across all links the source
>>> should pick the minimum of all advertised values.
>>> 
>>> Regards,
>>> Charlie P.
>>> 
>>> 
>>> Regards,
>>> Charlie P.
>>> _______________________________________________
>>> netext mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/netext
>> 
>> _______________________________________________
>> netext mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/netext
>